# Uses of Class
org.eclipse.equinox.p2.core.UIServices

Packages that use UIServices
Package
Description
org.eclipse.equinox.p2.repository.artifact.spi
Defines SPI for registering new implementations of artifact repositories.

## Uses of UIServices in org.eclipse.equinox.p2.repository.artifact.spi

Methods in org.eclipse.equinox.p2.repository.artifact.spi with parameters of type UIServices
Modifier and Type
Method
Description
`static UIServices.TrustInfo`
IArtifactUIServices.`getTrustInfo(UIServices uiServices, Map<List<Certificate>,Set<IArtifactKey>> untrustedCertificateChains, Map<org.bouncycastle.openpgp.PGPPublicKey,Set<IArtifactKey>> untrustedPGPKeys, Set<IArtifactKey> unsignedArtifacts, Map<IArtifactKey,File> artifactFiles)`
Opens a UI prompt to capture information about trusted content.